<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Proveedores
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Menu</li>
				<li class="breadcrumb-item active">Proveedores</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="proveedor_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	<!-- formulario de registro -->
			<div class="modal fade" id="div_proveedor_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_proveedor_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content" style="padding:0px;">
			<div class="modal-body div_mensaje"  >
			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			<!-- formulario de registro -->
			<div class="modal fade" id="div_proveedorcuenta_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" role="document" >
			<div class="modal-content">
			<div class="modal-body div_proveedorcuenta_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
	
	<div id="div_proveedor_filtro"></div>	
	<!-- lista de registros -->
	<div id="div_proveedor_tabla"></div>
<script type="text/javascript">
	
$("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fa fa-file-excel-o\"></i> ",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);
	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../proveedor/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			toastr["info"]('Procesando archivo');
        },
		success: function(rpt){
			
		toastr["info"]('Archivo procesado correctamente');
			
		},
		complete: function(){			
			proveedor_tabla();
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
});
	
	function proveedor_filtro(){			
		$.ajax({						
			url: "../proveedor/proveedor_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
			}),
			beforeSend: function() {
				$('#div_proveedor_filtro').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_proveedor_filtro').html(html);
			},
			complete: function(){			
				$('#div_proveedor_filtro').removeClass("ui-state-disabled");
				proveedor_tabla();
			}
		});        
	}
	function proveedor_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../proveedor/proveedor_tabla.php",
			async:true,
			dataType: "html",                      
			data: $("#for_fil_prov").serialize(), 
			beforeSend: function() {
				$('#div_proveedor_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_proveedor_tabla').html(html);
			},
			complete: function(){			
				$('#div_proveedor_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function proveedor_form(act,idf)
	{
		$('#div_proveedor_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../proveedor/proveedor_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				pro_id:	idf,
				vista:	'proveedor_tabla'
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_proveedor_form').html(div);
			},
			success: function(html){
				$('.div_proveedor_form').html(html);		
			}
		});
	}
	function proveedorCuentas_form(pro_id){
		$('#div_proveedorcuenta_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../proveedor/proveedorcuenta_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				pro_id:	pro_id,
				vista:	'proveedor_tabla'
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_proveedorcuenta_form').html(div);
			},
			success: function(html){
				$('.div_proveedorcuenta_form').html(html);		
			}
		});
	}
	function eliminar_proveedor(id)
	{   
		$('#msj_proveedor').hide();   
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../proveedor/proveedor_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					pro_id:		id
				}),
				beforeSend: function() {
					
				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){
					proveedor_tabla();
				}
			});
		}
	}
	
	
	
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../proveedor/proveedor_vista.php");
	});
	proveedor_filtro();
	
	setTitle("PROVEEDOR - "+nombreEmpresa);
	
});
</script>